* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Lato, sans-serif;
}
:root {
    --bg-color: #fff;
    --text-color: #191919;
    --primary-600: #850033;
    --primary-500: #c03434;
    --primary-400: #ef4444;
    --primary-300: #f8a4a4;
    --primary-200: #fcdada;
    --primary-100: #fdecec;
    --accent-color: #606060;
    --border-color: #e0e0e0;
    --card-bg: #f4f3fb;
    --shadow-color: rgba(0, 0, 0, 0.1);
    --input-text: #999;
    --color-red: #fb3748;
    --color-red-light: rgba(251, 55, 72, 0.10196078431372549);
    --color-yellow: #dfb400;
    --color-yellow-light: rgba(255, 219, 67, 0.1);
    --color-green: #1fc16b;
    --color-green-light: #e6fbf0;
    --color-neutral: #050202;
    --color-neutral-200: #fafafa;
    --color-neutral-300: #fff;
    --color-neutral-400: #f8f8f8;
    --color-neutral-500: #e4e4e4;
    --color-neutral-700: #bbb;
    --color-neutral-800: #777;
    --color-neutral-900: #333;
    --gaming-background: #e3d7f7;
    --gaming-color: #2c0bbf;
    --office-background: #dfeeff;
    --office-color: #007bff;
    --budget-background: #dbf5e3;
    --budget-color: #009c49;
    --business-background: #e5e5e5;
    --business-color: #495057;
    --students-background: #ffe7cc;
    --students-color: #ff8c00;
    --teachers-background: #850033;
    --sub-banner-card-background: #ffecd4;
    --sub-banner-card2-background: #c6d9ff;
    --sub-banner-card5-background: #d6effc;
}
.categoryContainer .row > *,
.secondBanner .row > * {
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
}
.showMore {
    color: var(--color-neutral-900);
}
.showMore:hover {
    color: var(--primary-400);
}
.homeContainer {
    background-color: var(--color-neutral-200);
}
.totalItemsCounts {
    visibility: hidden;
}
.total-counts {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 12px;
    width: 12px;
    font-size: 6px;
    border-radius: 50%;
    border: 1px solid #ef4444;
    background-color: #fff;
    color: #ef4444;
    position: absolute;
    top: 17px;
    right: 4px;
}
.dropdown_cart {
    display: none;
    width: 210px;
    padding: 2px;
    top: 2.8rem !important;
    border-radius: 4px;
    z-index: 999;
    border: none;
}
.dropdown_cart,
.dropdown_cart:before {
    box-shadow: rgba(0, 0, 0, 0.7490196078431373);
}
.dropdown_cart:before {
    content: "";
    position: absolute;
    top: -10px;
    right: 14px;
    width: 20px;
    height: 20px;
    background: #fff;
    transform: rotate(45deg);
    z-index: -1;
}
.dropdown_cart .child {
    padding: 10px;
    background-color: #fff;
    max-width: 400px;
    border-radius: 4px;
}
.navbar-toggler {
    padding: 2px 6px;
    font-size: 0.875rem;
}
#offcanvasCategories .list-unstyled li a {
    color: #000;
    text-decoration: none;
    font-size: 12px;
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}
.text_size {
    font-size: 12px !important;
    text-wrap: nowrap !important;
}
.dropdown_img {
    height: 30px;
    width: 40px;
}
.dropdown_cart_view a {
    display: flex;
    justify-content: end;
    padding: 2px 4px;
    font-size: 10px !important;
    border-radius: 4px;
    align-items: center;
    background-color: #ef4444;
    color: #fff;
}
.searchInput {
    background-color: var(--color-neutral-400);
    border: none;
    border-radius: 30px;
    padding: 10px 20px;
}
.headerContainer .nav-link {
    font-weight: 400;
    font-style: Regular;
    font-size: 12px;
    color: var(--color-neutral-800);
}
@media (max-width: 767.98px) {
    .headerContainer .navbar .container {
        flex-wrap: nowrap;
    }
    .headerContainer form {
        flex-grow: 1;
        max-width: 100%;
        padding: 0 10px;
    }
    .headerContainer .searchInput {
        font-size: 14px;
    }
}
.headerBorder {
    color: var(--color-neutral-500);
}
.custom-dropdown {
    padding: 5px;
    font-size: 14px;
}
.custom-dropdown .dropdown-item {
    color: #6c757d;
    transition:
        background-color 0.2s ease,
        color 0.2s ease;
    border-radius: 6px;
    padding: 8px 12px;
}
.custom-dropdown .dropdown-item i {
    font-size: 16px;
    color: #6c757d;
}
.custom-dropdown .dropdown-item:hover {
    color: var(--primary-400);
}
.custom-dropdown .dropdown-item:active {
    color: var(--primary-400);
    background: transparent;
}
.custom-dropdown .dropdown-divider {
    margin: 6px 0;
}
.custom-dropdown .logoutMenu {
    color: var(--primary-400) !important;
}
.custom-dropdown .logoutMenu:hover {
    background-color: var(--color-red-light);
}
.dropdown-center {
    left: 50% !important;
    transform: translateX(-50%);
}
.category-dropdown {
    border: none;
    margin-top: 0.25rem !important;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
}
.category-dropdown .dropdown-item:hover {
    color: var(--primary-400) !important;
}
.category-dropdown .dropdown-item:active {
    color: var(--primary-400) !important;
    background: transparent;
}
.totalItemsCount {
    visibility: hidden;
}
.total-count {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 12px;
    width: 12px;
    font-size: 6px;
    border-radius: 50%;
    border: 1px solid #ef4444;
    background-color: #fff;
    color: #ef4444;
    position: absolute;
    top: 10px;
    right: -3px;
}
.topBarContainer {
    border-top: 1px solid #eee;
    border-bottom: 1px solid #eee;
    background: #fff;
}
.cat-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    white-space: nowrap;
    gap: 30px;
    flex-wrap: inherit;
}
.cat-menu .nav-item.dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0;
    right: 0;
    left: auto;
}
.cat-menu .nav-link {
    white-space: nowrap;
    font-weight: 500;
    font-style: Medium;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0;
    padding: 10px 0;
    color: var(--color-neutral-900);
}
.cat-menu .nav-link:hover {
    opacity: 0.85;
}
@media (max-width: 768px) {
    .cat-menu {
        padding: 0 16px;
        gap: 12px;
    }
    .cat-menu .nav-link {
        font-size: 13px;
    }
}
.topBarContainer .dropdown-menu.show {
    border: none;
}
.footerContainer {
    background-color: var(--primary-100);
}
.footerContainer p {
    margin-bottom: 0;
}
.footerLable {
    font-size: 14px;
    line-height: 100%;
    color: var(--color-neutral-800);
    padding-top: 30px;
    padding-bottom: 5px;
}
.footerLable,
.footerText {
    font-weight: 500;
    font-style: Medium;
    letter-spacing: 0;
}
.footerText {
    font-size: 13px;
    line-height: 130%;
    color: var(--color-neutral);
}
.footerContainer .nav-link:hover {
    color: var(--primary-400) !important;
    text-decoration: underline;
}
.copyRights {
    font-weight: 500;
    font-style: Medium;
    font-size: 13px;
    line-height: 100%;
    letter-spacing: 0;
    color: var(--color-neutral-800);
}
.footerContainer .link-body-emphasis {
    font-weight: 600;
    font-style: SemiBold;
    font-size: 13px;
    line-height: 100%;
    letter-spacing: 0;
    color: var(--color-neutral-800) !important;
}
.copyRightsContainer {
    padding-top: 40px;
}
.custom-toast {
    border-radius: 10px;
    padding: 0.75rem 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 0.95rem;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    border: none;
}
.toast-success {
    background-color: #e6ffed;
    color: #057a55;
    border-left: 5px solid #28a745;
}
.toast-warning {
    background-color: #fff8e1;
    color: #8d6e00;
    border-left: 5px solid #ffc107;
}
.toast-error {
    background-color: #ffecec;
    color: #d32f2f;
    border-left: 5px solid #dc3545;
}
.toast-link {
    font-weight: 500;
    text-decoration: none;
}
.toast-success .toast-link {
    color: #057a55;
}
.toast-warning .toast-link {
    color: #8d6e00;
}
.toast-error .toast-link {
    color: #d32f2f;
}
.toast .btn-close {
    font-size: 0.65rem;
    width: 0.75rem;
    height: 0.75rem;
    padding: 0.25rem;
    margin-left: 10px;
    opacity: 0.7;
}
.toast .btn-close:hover {
    opacity: 1;
}
.dropdown:hover .dropdown-menu {
    display: block !important;
}
#default_address:checked,
.default_address:checked {
    accent-color: #ef4444;
}
.card.card_style {
    width: fit-content !important;
    border: 1px solid #ddd;
    border-radius: 1px;
    cursor: pointer;
    transition: all 0.3s ease;
    padding: 5px;
}
.card.card_style:hover {
    border-color: #ef4444;
}
.card.card_style .form-check-input:checked + label,
.card.card_style .form-check-input:checked ~ div {
    border-color: #ef4444;
    color: #ef4444;
}
.card.card_style .form-check-input {
    display: none;
}
.badge_infos {
    color: #ef4444;
    border: 1px solid #ef4444;
    border-radius: 10px;
}
.badge_info_new,
.badge_infos {
    background: #fff;
    font-size: 10px;
    padding: 0 8px;
    cursor: pointer;
}
.badge_info_new {
    color: #22cb00;
    border: 1px solid #22cb00;
    border-radius: 10px;
}
.outline_primary_btn {
    background: #fff;
    color: #ef4444;
    font-size: 12px;
}
.outline_primary_btn,
.outline_primary_btn:hover {
    border: 2px solid #ef4444;
    padding: 2px 8px;
    border-radius: 4px !important;
}
.outline_primary_btn:hover {
    background: #ef4444;
    color: #fff;
}
.outline_secondary_btn {
    background: #fff;
    color: #afafaf;
    font-size: 12px;
}
.outline_secondary_btn,
.outline_secondary_btn:hover {
    border: 2px solid #afafaf;
    padding: 2px 8px;
    border-radius: 4px !important;
}
.outline_secondary_btn:hover {
    background: #afafaf;
    color: #fff;
}
.badge_primary {
    color: #ff999d;
    background: #fff;
    border: 1px solid #ff999d;
    font-size: 10px;
    border-radius: 3px;
    padding: 0 8px;
    cursor: default;
}
.badge_edit {
    color: #83c7ff;
    border: 1px solid #83c7ff;
    border-radius: 3px;
}
.badge_del,
.badge_edit {
    background: #fff;
    cursor: pointer !important;
    font-size: 10px;
    padding: 0 8px;
    cursor: default;
}
.badge_del {
    color: #f9675f;
    border: 1px solid #f9675f;
    border-radius: 3px;
}
.badge_del:hover {
    background: #f9675f;
    border: 1px solid #f9675f;
    cursor: pointer !important;
    border-radius: 3px;
    cursor: default;
}
.badge_del:hover,
.badge_edit:hover {
    color: #fff;
    font-size: 10px;
    padding: 0 8px;
}
.badge_edit:hover {
    background: #83c7ff;
    border: 1px solid #83c7ff;
    border-radius: 3px;
    cursor: default;
}
.primary_new_btn {
    background: #fff;
    color: #22cb00;
    border: 1px solid #22cb00;
    padding: 2px 8px;
    border-radius: 4px !important;
}
.primary_new_btn.active,
.primary_new_btn:hover {
    background: #22cb00 !important;
    color: #fff !important;
    border: 1px solid #22cb00 !important;
}
.fs_common {
    font-size: 14px;
}
.card_img_cont {
    height: 45px;
    width: 60px;
    margin: 5px;
}
.btn-orange {
    background-color: #fff;
    color: #ef4444;
}
.btn-orange,
.btn-orange:hover {
    border: 1px solid #ef4444;
    font-size: 12px;
    border-radius: 3px;
}
.btn-orange:hover {
    background-color: #ef4444;
    color: #fff;
}
.user_list:hover {
    color: #fff;
    background: #ef4444;
    border-radius: 4px;
}
.user_list_icon:hover {
    color: #fff !important;
}
.default_badge {
    color: #ff999d;
    border-color: #ff999d;
}
.custom-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: var(--bg-color);
    border-radius: 8px;
    z-index: 999;
    max-height: 300px;
    overflow-y: auto;
}
.custom-dropdown ul li {
    padding: 12px 12px 20px;
    cursor: pointer;
}
.custom-dropdown ul li:hover {
    background: var(--primary-100);
    color: var(--primary-400);
}
.custom-dropdown ul li:hover .badge-category {
    background: var(--bg-color);
    color: var(--primary-400);
}
.badge-category {
    background: var(--primary-100);
    color: var(--primary-400);
}
.badge-brand,
.badge-category {
    padding: 3px 8px;
    font-size: 12px;
    border-radius: 5px;
}
.badge-brand {
    color: #ffac4d;
    background: #fff5eb;
}
.truncate-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    max-width: 100%;
    margin-bottom: 0;
    display: inline-block;
}
.contact-button {
    background-color: var(--primary-400);
    color: var(--bg-color);
}
.contact-button:hover {
    background-color: var(--primary-400) !important;
    color: var(--bg-color) !important;
}
.line-clamp-2 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
@media (min-width: 320px) and (max-width: 450px) {
    .breadcrumb_link.active {
        display: inline-block;
        max-width: 25ch;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        vertical-align: middle;
    }
}
.breadcrumb {
    padding: 10px 15px;
    background: var(--border-color);
    border-radius: 5px;
    font-size: 10px;
}
.breadcrumb a {
    color: var(--color-neutral-800);
    text-decoration: none;
    margin-right: 5px;
    font-size: 12px;
}
.breadcrumb a:hover {
    text-decoration: underline;
}
.breadcrumb a:visited {
    color: var(--primary-400);
}
.breadcrumb span {
    color: #999;
    font-size: 12px;
    margin-right: 5px;
}
.home-h1-styling {
    font-size: 16px;
    color: var(--primary-400);
}
.whatsapp-float {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 9999;
    background-color: #25d366;
    border: 1px solid var(--color-neutral-900);
    border-radius: 50%;
    padding: 5px;
    box-shadow: 4px 5px 10px rgba(0, 0, 0, 0.4);
    transition: transform 0.3s ease;
    cursor: pointer;
}
.whatsapp-float img {
    width: 40px;
    height: 40px;
}
.whatsapp-float:hover {
    transform: scale(1.1);
}
.whatsapp-popup {
    position: fixed;
    bottom: 90px;
    right: 20px;
    width: 280px;
    background: #fff;
    border-radius: 10px;
    border: 1px solid #ccc;
    box-shadow: 4px 5px 15px rgba(0, 0, 0, 0.2);
    padding: 15px;
    display: none;
    z-index: 10000;
}
.whatsapp-popup:after {
    content: "";
    position: absolute;
    bottom: -12px;
    right: 20px;
    border-color: #fff transparent transparent;
    border-style: solid;
    border-width: 15px 15px 0;
    filter: drop-shadow(0 2px 2px rgba(0, 0, 0, 0.15));
}
.whatsapp-popup .popup-content {
    text-align: center;
    padding-top: 10px;
}
.whatsapp-popup p {
    font-size: 14px;
    margin-bottom: 15px;
    color: #333;
}
.whatsapp-popup .chat-btn {
    display: inline-flex;
    align-items: center;
    background: #000;
    color: #fff;
    padding: 8px 12px;
    border-radius: 5px;
    text-decoration: none;
    font-size: 14px;
    transition: 0.3s;
}
.whatsapp-popup .chat-btn:hover {
    background: #25d366;
}
.closeButton {
    position: absolute;
    top: -10px;
    right: -10px;
    background-color: #000;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 22px;
    height: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 16px;
    line-height: 1;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}
.image-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}
.summary-truncated-description {
    flex-grow: 1;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    font-size: 12px;
}
.image-slider {
    display: flex;
    width: 100%;
    transition: transform 0.6s ease-in-out;
    min-height: 100px;
}
.slider-image {
    width: 100%;
    flex-shrink: 0;
    object-fit: contain;
}
.add-referral {
    background: #fff;
    color: #22cb00;
    border: 1px solid #22cb00;
    padding: 2px 8px;
    border-radius: 4px !important;
}
.add-referral.active,
.add-referral:hover {
    background: #22cb00 !important;
    color: #fff !important;
    border: 1px solid #22cb00 !important;
}
.bookmark-wrapper {
    position: absolute;
    right: 0.1px;
    background: hsla(0, 0%, 100%, 0.4);
    border-radius: 50%;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.bookmark-wrapper img {
    width: 20px;
    height: 20px;
}
